import { IgcPropertyEditorPropertyDescriptionCollection } from "./igc-property-editor-property-description-collection";
import { PropertyEditorDescriptionObject as PropertyEditorDescriptionObject_internal } from "./PropertyEditorDescriptionObject";
export declare class IgcPropertyEditorDescriptionObject {
    protected createImplementation(): PropertyEditorDescriptionObject_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: PropertyEditorDescriptionObject_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    descriptionType: string;
    private _properties;
    properties: IgcPropertyEditorPropertyDescriptionCollection;
    findByName(name: string): any;
}
